<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/Controller/ScrollTabViewController.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_scroll_tab_view_controller_8m_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ScrollTabViewController.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_scroll_tab_view_controller_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  ScrollTabViewController.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by 江俊辰 on 2017/7/25.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_scroll_tab_view_controller_8h.html">ScrollTabViewController.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;KKLThirdParty/ReactiveObjC.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &lt;KKLThirdParty/Masonry.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_u_i_constants_8h.html">UIConstants.h</a>&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_utils_macros_8h.html">UtilsMacros.h</a>&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">@implementation </span><a class="code" href="interface_scroll_tab_view_controller.html">ScrollTabViewController</a></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;- (void)viewDidLoad {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    [<span class="keyword">super</span> viewDidLoad];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="comment">// Do any additional setup after loading the view.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">self</span>.view.backgroundColor = <a class="code" href="_u_i_constants_8h.html#a43465a2a22046505549e4829619e4346">kBackgroundColor</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    [<span class="keyword">self</span> setupSubviews];</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;- (void)setupSubviews {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    [<span class="keyword">self</span>.view addSubview:self.scrollView];</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    [<span class="keyword">self</span>.view addSubview:self.topTabBar];</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    [<span class="keyword">self</span>.scrollView mas_makeConstraints:^(MASConstraintMaker *make) {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        make.edges.mas_equalTo(UIEdgeInsetsMake(KOTabBarHeight, 0, 0, 0));</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    }];</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#pragma mark - Getter</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;- (CKBannerView *)<a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a> {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordflow">if</span> (!_scrollView) {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        _scrollView = [[CKBannerView alloc] initWithFrame:CGRectMake(0, 0, kScreenWidth, self.view.frame.size.height)];</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        _scrollView.delegate = <span class="keyword">self</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        _scrollView.pageControl.hidden = YES;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordflow">return</span> _scrollView;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;}</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;- (<a class="code" href="interface_k_o_tab_bar.html">KOTabBar</a> *)<a class="code" href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">topTabBar</a> {</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordflow">if</span> (!_topTabBar) {</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        _topTabBar = [<a class="code" href="interface_k_o_tab_bar.html">KOTabBar</a> <a class="code" href="interface_k_o_tab_bar.html#a5ef0ade305a8f9da3f7d38f539886b45">tabBar</a>];</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        _topTabBar.<a class="code" href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">delegate</a> = <span class="keyword">self</span>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    }</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordflow">return</span> _topTabBar;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#pragma mark - Setter </span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;- (void)setViewControllers:(NSArray *)viewControllers {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    _viewControllers = <a class="code" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    [<span class="keyword">self</span>.childViewControllers makeObjectsPerformSelector:@selector(removeFromParentViewController)];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    NSMutableArray *itemList = [NSMutableArray array];</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordflow">for</span> (UIViewController *vc in <a class="code" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a>) {</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        [<span class="keyword">self</span> addChildViewController:vc];</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *item = [[<a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> alloc] init];</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        item.<a class="code" href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">title</a> = vc.title;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        [itemList addObject:item];</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        @weakify(item)</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        [RACObserve(vc, title)subscribeNext:^(id  _Nullable x) {</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            @strongify(item)</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            item.title = x;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        }];</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    }</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="comment">// 刷新TabBar</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keyword">self</span>.topTabBar.items = itemList;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    CKAsyncMainQueue(^{</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keyword">self</span>.topTabBar.selectedItemIndex = <span class="keyword">self</span>.initialTabIndex;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="comment">// 刷新分页滚动视图</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        [<span class="keyword">self</span>.scrollView reloadDataWithCurrentPageIndex:self.initialTabIndex];</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    });</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;}</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment">//#pragma mark - YPTabBarDelegate</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">//- (void)yp_tabBar:(YPTabBar *)tabBar didSelectedItemAtIndex:(NSUInteger)index {</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">//    [self.scrollView setCurrentPageIndex:index animate:NO];</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment">//}</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="preprocessor">#pragma mark ==================  XHXTabbarDelegate   ==================</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;- (void)tabbar:(<a class="code" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)tabbar didSelectedItemAtIndex:(NSInteger)index {</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    [<span class="keyword">self</span>.scrollView setCurrentPageIndex:index animate:NO];</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;}</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#pragma mark - CKBannerViewDelegate</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;- (void)scrollViewDidScroll:(UIScrollView *)scrollView {</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    CGFloat x = <a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a>.contentOffset.x;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    NSInteger maxIndex = (NSInteger)(<span class="keyword">self</span>.<a class="code" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a>.count - 1);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordflow">if</span> (x &gt;= 0 &amp;&amp; x &lt;= <a class="code" href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a> * maxIndex) {</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        [<span class="keyword">self</span>.topTabBar updateSubViewsWhenParentScrollViewScroll:scrollView];</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    }</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;}</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;- (NSInteger)numberOfPagesForBannerView:(CKBannerView *)bannerView {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">self</span>.viewControllers.count;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;}</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView {</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    NSUInteger page = <a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a>.contentOffset.x / <a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a>.frame.size.width;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">self</span>.topTabBar.selectedItemIndex = page;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;- (CKBannerPageView *)bannerView:(CKBannerView *)bannerView viewForPageAtIndex:(NSInteger)pageIndex {</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    UIViewController *pageVC = [<span class="keyword">self</span>.viewControllers safetyObjectAtIndex:pageIndex];</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    CKBannerPageView *pageView = [bannerView dequeueReusablePageWithIdentifier:@&quot;page&quot;];</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keywordflow">if</span> (!pageView) {</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        pageView = [[CKBannerPageView alloc] initWithReuseIdentifier:NSStringFromClass([pageVC class])];</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    }</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordflow">if</span> (![pageVC.view.superview isEqual:pageView]) {</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        [pageView addSubview:pageVC.view];</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        pageVC.view.frame = CGRectMake(0, 0, pageView.frame.size.width, pageView.frame.size.height);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        pageVC.view.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    }</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordflow">return</span> pageView;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;}</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_k_o_tab_bar_html_a5ef0ade305a8f9da3f7d38f539886b45"><div class="ttname"><a href="interface_k_o_tab_bar.html#a5ef0ade305a8f9da3f7d38f539886b45">+[KOTabBar tabBar]</a></div><div class="ttdeci">instancetype tabBar()</div><div class="ttdef"><b>Definition:</b> <a href="_k_o_tab_bar_8m_source.html#l00013">KOTabBar.m:17</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html_a9a73d343dd1af7bfb763a047fedebe4c"><div class="ttname"><a href="_utils_macros_8h.html#a9a73d343dd1af7bfb763a047fedebe4c">kScreenWidth</a></div><div class="ttdeci">#define kScreenWidth</div><div class="ttdef"><b>Definition:</b> <a href="_utils_macros_8h_source.html#l00041">UtilsMacros.h:40</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html"><div class="ttname"><a href="interface_x_h_x_tabbar.html">XHXTabbar</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00045">XHXTabbar.h:46</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a23d94df873cb56b9004561d241a5e316"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">ScrollTabViewController::scrollView</a></div><div class="ttdeci">CKBannerView * scrollView</div><div class="ttdoc">分页滚动容器视图</div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00017">ScrollTabViewController.h:17</a></div></div>
<div class="ttc" id="a_scroll_tab_view_controller_8h_html"><div class="ttname"><a href="_scroll_tab_view_controller_8h.html">ScrollTabViewController.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a6b46e5a956d4201e6e542c379c18e22b"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">ScrollTabViewController::topTabBar</a></div><div class="ttdeci">KOTabBar * topTabBar</div><div class="ttdoc">顶部的选项栏</div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00015">ScrollTabViewController.h:15</a></div></div>
<div class="ttc" id="ainterface_k_o_tab_bar_html"><div class="ttname"><a href="interface_k_o_tab_bar.html">KOTabBar</a></div><div class="ttdef"><b>Definition:</b> <a href="_k_o_tab_bar_8h_source.html#l00015">KOTabBar.h:16</a></div></div>
<div class="ttc" id="a_u_i_constants_8h_html_a43465a2a22046505549e4829619e4346"><div class="ttname"><a href="_u_i_constants_8h.html#a43465a2a22046505549e4829619e4346">kBackgroundColor</a></div><div class="ttdeci">#define kBackgroundColor</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_constants_8h_source.html#l00024">UIConstants.h:23</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_af84f8f8b976263383b219556346f1c05"><div class="ttname"><a href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">XHXTabItem::title</a></div><div class="ttdeci">NSString * title</div><div class="ttdoc">文字</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00026">XHXTabItem.h:26</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html"><div class="ttname"><a href="interface_x_h_x_tab_item.html">XHXTabItem</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00018">XHXTabItem.h:19</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_ab3e65e6a08789fb89c27445cf5e0dba0"><div class="ttname"><a href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">XHXTabbar::delegate</a></div><div class="ttdeci">id&lt; XHXTabbarDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00046">XHXTabbar.h:46</a></div></div>
<div class="ttc" id="a_u_i_constants_8h_html"><div class="ttname"><a href="_u_i_constants_8h.html">UIConstants.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html"><div class="ttname"><a href="interface_scroll_tab_view_controller.html">ScrollTabViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00013">ScrollTabViewController.h:13</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html"><div class="ttname"><a href="_utils_macros_8h.html">UtilsMacros.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a88aadb588ced05d7fc0eb1465d337297"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">ScrollTabViewController::viewControllers</a></div><div class="ttdeci">NSArray * viewControllers</div><div class="ttdoc">所有的分页视图控制器</div><div class="ttdef"><b>Definition:</b> <a href="_scroll_tab_view_controller_8h_source.html#l00019">ScrollTabViewController.h:19</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_1b3c59872c42288745237f624ea14bcf.html">Controller</a></li><li class="navelem"><a class="el" href="_scroll_tab_view_controller_8m.html">ScrollTabViewController.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
